%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		iagno
Version:	3.38.1
Release:	%mkrel 1
Summary:	GNOME Reversi game
License:	GPLv2+ and CC-BY-SA
Group:		Games/Boards
URL:		https://wiki.gnome.org/Iagno
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libcanberra-gtk3)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(gsound)
BuildRequires:	gettext
BuildRequires:	itstool
BuildRequires:	meson
BuildRequires:	libxml2-utils
Obsoletes:	iagno-extra-data
# for help
Requires:	yelp

%description
The GNOME version of Reversi. The goal is to control the most disks
on the board.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Reversi.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Reversi.gschema.xml
%{_datadir}/%{name}/
%{_iconsdir}/*/*/apps/*.*
%{_datadir}/metainfo/org.gnome.Reversi.appdata.xml 
%{_mandir}/man6/%{name}.6*
%{_datadir}/help
%{_datadir}/dbus-1/services/org.gnome.Reversi.service

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %buildroot


%changelog
* Sat Oct 03 2020 tex - 3.38.1-1pclos2020
- new version

* Sun Sep 13 2020 tex - 3.38.0-1pclos2020
- new version

* Fri Jul 03 2020 tex - 3.36.4-1pclos2020
- new version

* Sun May 31 2020 tex - 3.36.3-1pclos2020
- new version

* Sun Apr 26 2020 tex - 3.36.2-1pclos2020
- new version

* Tue Mar 10 2020 tex - 3.36.0-1pclos2020
- new version

* Fri Feb 21 2020 tex - 3.34.5-1pclos2020
- new version

* Tue Jan 07 2020 tex - 3.34.4-1pclos2020
- new version

* Sun Nov 24 2019 tex - 3.34.3-1pclos2019
- new version

* Sat Oct 12 2019 tex - 3.34.2-1pclos2019
- new version

* Mon Oct 07 2019 tex - 3.34.1-1pclos2019
- new version

* Tue Sep 10 2019 tex - 3.34.0-1pclos2019
- new version 3.34.0
